[Deprecated]: v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/visits/subjectvisit
Deprecated: Randomize a subject and/or dispense kits during a randomization or dispensation visit. Rights: OrsVisitManagementPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : Visit Request
Type:
objectTitle:
Visit RequestRequest containing subject visit details.
Show Source
-
AuthUserListDtoV1: array
AuthUserListDtoV1
-
siteId(required): string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.5 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
visitId(required): string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
-
visitTimestamp: string
Pattern:
(\d){4}-(\d){2}-(\d){2} (\d){2}:(\d){2}:(\d){2}Visit date and timeExample:2018-11-23 08:43:01
Nested Schema : AuthUserListDtoV1
Type:
Show Source
array-
Array of:
object Parameter
Contains details about parameters of the form
Nested Schema : Parameter
Type:
objectContains details about parameters of the form
Show Source
-
formId: string
(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
-
itemId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
-
value: string
(uuid)
Value of the item
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Response
Type:
Show Source
object-
allowedMethods: array
allowedMethods
Unique Items Required:
true -
closed: boolean
-
cookies: object
cookies
Additional Properties Allowed: NewCookie
-
date: string
(date-time)
-
entity: object
entity
-
entityTag: object
EntityTag
-
headers: object
headers
Additional Properties Allowed: additionalProperties
-
language: object
language
-
lastModified: string
(date-time)
-
length: integer
(int32)
-
links: array
links
Unique Items Required:
true -
location: string
(uri)
-
mediaType: object
MediaType
-
metadata: object
metadata
Additional Properties Allowed: additionalProperties
-
status: integer
(int32)
-
statusInfo: object
StatusType
-
stringHeaders: object
stringHeaders
Additional Properties Allowed: additionalProperties
Nested Schema : entity
Type:
objectNested Schema : language
Type:
Show Source
object-
country: string
-
displayCountry: string
-
displayLanguage: string
-
displayName: string
-
displayScript: string
-
displayVariant: string
-
extensionKeys: array
extensionKeys
Unique Items Required:
true -
iso3Country: string
-
iso3Language: string
-
language: string
-
script: string
-
unicodeLocaleAttributes: array
unicodeLocaleAttributes
Unique Items Required:
true -
unicodeLocaleKeys: array
unicodeLocaleKeys
Unique Items Required:
true -
variant: string
Nested Schema : MediaType
Type:
Show Source
object-
parameters: object
parameters
Additional Properties Allowed: additionalProperties
-
subtype: string
-
type: string
-
wildcardSubtype: boolean
-
wildcardType: boolean
Nested Schema : StatusType
Type:
Show Source
object-
family: string
Allowed Values:
[ "INFORMATIONAL", "SUCCESSFUL", "REDIRECTION", "CLIENT_ERROR", "SERVER_ERROR", "OTHER" ] -
reasonPhrase: string
-
statusCode: integer
(int32)
Nested Schema : NewCookie
Type:
Show Source
object-
comment: string
-
domain: string
-
expiry: string
(date-time)
-
httpOnly: boolean
-
maxAge: integer
(int32)
-
name: string
-
path: string
-
sameSite: string
Allowed Values:
[ "NONE", "LAX", "STRICT" ] -
secure: boolean
-
value: string
-
version: integer
(int32)
Nested Schema : items
Type:
objectNested Schema : Link
Type:
Show Source
object-
params: object
params
Additional Properties Allowed: additionalProperties
-
rel: string
-
rels: array
rels
-
title: string
-
type: string
-
uri: string
(uri)
-
uriBuilder: object
UriBuilder
Nested Schema : UriBuilder
Type:
objectNested Schema : items
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples